summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 7d2ba12)
raw | patch | inline | side by side (parent: 7d2ba12)
author | Eric Wong <normalperson@yhbt.net> | |
Thu, 28 Dec 2006 09:10:51 +0000 (01:10 -0800) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Thu, 28 Dec 2006 09:28:11 +0000 (01:28 -0800) |
I don't think anybody running tests needs to know they're
running init-db and creating a repository for testing.
Signed-off-by: Eric Wong <normalperson@yhbt.net>
Signed-off-by: Junio C Hamano <junkio@cox.net>
running init-db and creating a repository for testing.
Signed-off-by: Eric Wong <normalperson@yhbt.net>
Signed-off-by: Junio C Hamano <junkio@cox.net>
t/test-lib.sh | patch | blob | history |
diff --git a/t/test-lib.sh b/t/test-lib.sh
index f0f9cd6be01681c90d1914eaa8a40144e2280adf..ad2b6f6ab430d4300e465c689d35b17004cdee67 100755 (executable)
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
repo="$1"
mkdir "$repo"
cd "$repo" || error "Cannot setup test environment"
- "$GIT_EXEC_PATH/git" init-db --template=$GIT_EXEC_PATH/templates/blt/ 2>/dev/null ||
+ "$GIT_EXEC_PATH/git" init-db --template=$GIT_EXEC_PATH/templates/blt/ >/dev/null 2>&1 ||
error "cannot run git init-db -- have you built things yet?"
mv .git/hooks .git/hooks-disabled
cd "$owd"